package com.bocloud.cos.booter;

import org.springframework.amqp.rabbit.annotation.EnableRabbit;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

import com.spring4all.swagger.EnableSwagger2Doc;

@SpringBootApplication
@EnableRabbit
@EnableScheduling
@EnableSwagger2Doc
@ComponentScan(value = { "com.bocloud" })
public class Application {
	public static void main(String[] args) {
		System.setProperty("tomcat.util.http.parser.HttpParser.requestTargetAllow", "{}|");
		SpringApplication.run(Application.class, args);
	}
}
