package com.bocloud.cos.model;

import com.alibaba.fastjson.JSONObject;

import java.util.List;

/**
 * @author hufy
 */
public class GraphSeries {
	/**
	 * 列名
	 */
	private String name;
	/**
	 * 数据值
	 */
	private List<Object> data;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<Object> getData() {
		return data;
	}

	public void setData(List<Object> data) {
		this.data = data;
	}

	public GraphSeries(String name, List<Object> data) {
		super();
		this.name = name;
		this.data = data;
	}

	public GraphSeries() {
		super();
	}

	@Override
	public String toString() {
		return JSONObject.toJSONString(this);
	}
}
