package com.bocloud.cos.intf;

import java.util.List;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.RequestContext;
import com.bocloud.cos.entity.ReportTemplateHistory;
import com.bocloud.cos.model.ChargeInformationReport;
import com.bocloud.cos.model.ReportPair;

/**
 * @Author hufy
 */
public interface ChargeReportService extends ReportCreateService {
	/**
	 * 计量计费报表详情
	 * 
	 * @param configTemplateId
	 * @param history
	 * @param isRealTime
	 * @param context
	 * @return
	 */
	public BocloudResult<List<ReportPair<List<ChargeInformationReport>>>> queryDetail(Long configTemplateId,
																				   ReportTemplateHistory history, Boolean isRealTime, RequestContext context);
}
