package com.bocloud.cos.intf;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.cos.entity.ReportTemplateHistory;
import com.bocloud.cos.model.ReportPair;
import com.bocloud.cos.model.TenantInformationReport;

import java.util.List;

/**
 * @Author hufy
 */
public interface TenantReportService extends ReportCreateService {

	/**
	 * 租户报表详情
	 * 
	 * @param configTemplateId
	 * @param history
	 * @param isRealTime
	 * @return
	 */
	public BocloudResult<List<ReportPair<List<TenantInformationReport>>>> queryDetail(Long configTemplateId,
																				   ReportTemplateHistory history, Boolean isRealTime);
}
