package com.bocloud.cos.service.resource.operate;

import com.bocloud.cos.enums.ResourceCategory;
import com.bocloud.cos.intf.OrderSnService;
import com.bocloud.cos.model.AlterationParam;
import com.bocloud.cos.model.ElementModel;
import com.bocloud.cos.model.EmptionModel;
import com.bocloud.cos.repository.*;
import com.bocloud.service.lock.LockFactory;

import java.util.Date;
import java.util.List;

/**
 * @author tyl
 * @since 2021/5/21 11:09
 */
public class RedisOperate extends AbstractPaasResourceOperate {

    public RedisOperate(String serviceCode, ResourceCategory category, EmptionModel emptionModel,
        List<ElementModel> elements, CloudServiceRepository serviceRepository, ServiceSkuRepository skuRepository,
        ServiceCategoryRepository categoryRepository, LockFactory lockFactory, OrderSnService orderSnService) {
        super(serviceCode, category, emptionModel, elements, serviceRepository, skuRepository, categoryRepository,
            lockFactory, orderSnService);
    }

    public RedisOperate(String serviceCode, String instance, ResourceCategory category,
        AlterationParam.Operation operation, List<ElementModel> elements, Date expiredTime,
        CloudServiceRepository serviceRepository, ServiceSkuRepository skuRepository,
        OrderItemRepository itemRepository, LockFactory lockFactory, OrderSnService orderSnService,
        ServiceCategoryRepository categoryRepository) {
        super(serviceCode, instance, category, operation, elements,expiredTime, serviceRepository, skuRepository, itemRepository,
            lockFactory, orderSnService, categoryRepository);
    }

    public RedisOperate(String serviceCode, String instance, Integer extension, ResourceCategory category,
        OrderItemRepository itemRepository, ServiceOrderRepository orderRepository, LockFactory lockFactory,
        OrderSnService orderSnService) {
        super(serviceCode, instance, extension, category, itemRepository, orderRepository, lockFactory, orderSnService);
    }

    public RedisOperate(ResourceCategory category, String serviceCode) {
        super(category, serviceCode);
    }
}
