package com.bocloud.cos.service.utils;

import com.bocloud.cos.entity.*;
import com.bocloud.cos.service.resource.operate.AbstractResourceOperate;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ApplicationModel {

	private CloudService service;
	private Long slaId;
	private ServiceSla sla;
	private Long skuId;
	private ServiceSku sku;
	private ServiceCategory category;
	private List<OrderItem> orderItems;
	private AbstractResourceOperate operate;

}
