package com.bocloud.cos.engine.parser.impl;

import com.bocloud.cos.engine.model.BaseNodeModel;
import com.bocloud.cos.engine.model.EndModel;
import com.bocloud.cos.engine.parser.AbstractNodeParser;
import org.springframework.stereotype.Component;

/**
 * 结束节点解析类
 *
 * @author hufy
 */
@Component("endNodeParser")
public class EndParser extends AbstractNodeParser {
    /**
     * 产生EndModel模型对象
     */
    @Override
    protected BaseNodeModel newModel() {
        return new EndModel();
    }
}
