package com.bocloud.cos.engine.parser.impl;

import com.bocloud.cos.engine.model.BaseNodeModel;
import com.bocloud.cos.engine.model.ForkModel;
import com.bocloud.cos.engine.parser.AbstractNodeParser;
import org.springframework.stereotype.Component;

/**
 * 分支节点解析类
 *
 * @author hufy
 */
@Component("forkNodeParser")
public class ForkParser extends AbstractNodeParser {
    /**
     * 产生ForkModel模型对象
     */
    @Override
    protected BaseNodeModel newModel() {
        return new ForkModel();
    }
}
