package com.bocloud.cos.engine.parser.impl;

import com.bocloud.cos.engine.model.BaseNodeModel;
import com.bocloud.cos.engine.model.StartModel;
import com.bocloud.cos.engine.parser.AbstractNodeParser;
import org.springframework.stereotype.Component;

/**
 * 开始节点解析类
 *
 * @author hufy
 */
@Component("startNodeParser")
public class StartParser extends AbstractNodeParser {
    /**
     * 产生StartModel模型对象
     */
    @Override
    protected BaseNodeModel newModel() {
        return new StartModel();
    }
}
