package com.bocloud.cos.intf;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.cos.entity.ReportTemplateHistory;
import com.bocloud.cos.model.CloudServerInfoReport;
import com.bocloud.cos.model.ReportPair;

import java.util.List;

/**
 * @Author hufy
 */
public interface CloudServerReportService extends ReportCreateService {
	/**
	 * 虚机报表详情
	 *
	 * @param configTemplateId
	 * @param history
	 * @param isRealTime
	 * @return
	 */
	public BocloudResult<List<ReportPair<List<CloudServerInfoReport>>>> queryDetail(Long configTemplateId,
																				 ReportTemplateHistory history, Boolean isRealTime);
}
