package com.bocloud.cos.intf;

import java.util.List;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.cos.entity.ReportTemplateHistory;
import com.bocloud.cos.model.MonitorInfoReport;
import com.bocloud.cos.model.ReportPair;

/**
 * @Author hufy
 */
public interface MonitorReportService extends ReportCreateService {

	/**
	 * 查询监控报表
	 * 
	 * @param configTemplateId
	 * @param history
	 * @param isRealTime
	 * @return
	 */
	BocloudResult<List<ReportPair<List<MonitorInfoReport>>>> queryDetail(Long configTemplateId,
																	  ReportTemplateHistory history, Boolean isRealTime);
}