package com.bocloud.cos.intf;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.cos.entity.ReportTemplateHistory;
import com.bocloud.cos.model.ReportPair;
import com.bocloud.cos.model.StorageInformationReport;

import java.util.List;

/**
 * 存储综合报表
 *
 * @Author hufy
 */

public interface StorageReportService extends ReportCreateService {

	/**
	 * 存储报表详情
	 *
	 * @param configTemplateId
	 * @param history
	 * @param isRealTime
	 * @return
	 */
	public BocloudResult<List<ReportPair<List<StorageInformationReport>>>> queryDetail(Long configTemplateId,
																					ReportTemplateHistory history, Boolean isRealTime);
}
